Skip to content

Get Classification Groups

GET/pimapi/v1/classifications/{classificationId}/groups

Retrieve a paged list of top-level or child classification groups assigned to a specific classification system.


ParameterTypeRequiredDescription
classificationIdstringYesUnique ID of the classification system (e.g., ECLASS_10).
ParameterTypeRequiredDefaultDescription
languageIdstringNoLanguage tag to localize descriptions (e.g., en, de). If omitted, all translated values are returned.
pageintegerNo0Zero-indexed page number for pagination.
pageSizeintegerNo20Number of items to return per page.

Terminal window
curl -X GET "https://dev.pxm.eu.prodexa.com/pxm/pimapi/v1/classifications/ECLASS_10/groups?page=0&pageSize=2" \
-H "X-API-KEY: your_hex_api_key" \
-H "Accept: application/json"

Returns a paginated payload wrapper containing a list of classification groups.

{
"status": 200,
"meta": {
"languageId": "en",
"page": 0,
"pageSize": 2,
"totalElements": 24,
"totalPages": 12,
"sorting": "OrderNo: ASC"
},
"data": [
{
"classificationGroupId": "SCREWS",
"shortDescription": [
{
"languageId": "en",
"value": "Screws"
}
],
"fallbackDescShort": [
{
"languageId": "en",
"value": "Screws"
}
],
"longDescriptions": [
{
"languageId": "en",
"value": "Threaded metal screws and fasteners"
}
],
"documentUrl1": null,
"documentUrl2": null,
"documentUrl3": null,
"orderNo": 10,
"statusID": "ACTIVE",
"attributes": [
{
"attributeId": "THREAD_SIZE",
"attribute.description": [
{
"languageId": "en",
"value": "Thread Size"
}
]
}
],
"createdOn": "2026-06-15T09:00:00Z",
"createdBy": "admin",
"changedOn": "2026-06-17T11:00:00Z",
"changedBy": "admin"
},
{
"classificationGroupId": "NAILS",
"shortDescription": [
{
"languageId": "en",
"value": "Nails"
}
],
"fallbackDescShort": [
{
"languageId": "en",
"value": "Nails"
}
],
"longDescriptions": [],
"documentUrl1": null,
"documentUrl2": null,
"documentUrl3": null,
"orderNo": 20,
"statusID": "ACTIVE",
"attributes": [],
"createdOn": "2026-06-15T09:00:00Z",
"createdBy": "admin",
"changedOn": "2026-06-15T09:00:00Z",
"changedBy": "admin"
}
]
}

Returned if the classification system does not exist or has no assigned groups.

{
"status": 404,
"meta": {
"languageId": "en"
},
"error": "No Classification groups found"
}